apiVersion: apps/v1
kind: Deployment
metadata:
  name: twitter-sa
spec:
  replicas: 1
  selector:
    matchLabels:
      app: twitter-sa
  template:
    metadata:
      labels:
        app: twitter-sa
    spec:
      containers:
      - name: twitter-sa
        image: {{ .Values.image.repository }}
        ports:
        - containerPort: 8501
        env:
          - name: TWITTER_TOKEN
            valueFrom:
              secretKeyRef:
                name: twittertoken
                key: twittertoken
                optional: false
      
---
apiVersion: v1
kind: Service
metadata:
  name: svc-twitter-sa
spec:
  ports:
  - port: 8501
    targetPort: 8501
    protocol: TCP
    name: http
  selector:
    app: twitter-sa
  type: ClusterIP
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  labels:
    app: twitter-sa
    app.kubernetes.io/instance: twitter-sa-staging
  name: ingress-ts
spec:
  ingressClassName: nginx
  rules:
  - host: {{ .Values.ingress.host  }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: svc-twitter-sa
            port:
              number: 8501
---
apiVersion: v1
data:
  twittertoken: QUFBQUFBQUFBQUFBQUFBQUFBQUFBRGxpZ0FFQUFBQUFxaVlMOE5jNkJDSjNSb3VtMWFUUVlMUUJpbkklM0ROY1R4YzdhSEZ5SDVXV2U1bnZHTG1WS1ZHNjAxVDBrTFBjb0FDNFFiUmx5VnVMUDZDQg==
kind: Secret
metadata:
  name: twittertoken
type: Opaque

